Bug 58524 - dbmopen function in PHP doesn't seem to work
dbmopen function in PHP doesn't seem to work
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-18 14:11 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 09:08:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-18 14:11:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
While using PHP and the dbmopen function I get the following error:

Fatal error: Call to undefined function: dbmopen()

a rpm -qa | grep -i php command returns:

asp2php-0.75.17-1
php-4.0.6-7
asp2php-gtk-0.75.17-1
php-imap-4.0.6-7
php-mysql-4.0.6-7
php-ldap-4.0.6-7


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install PHP
2. Write script using dbmopen() function
3. run script
	

Actual Results:  Fatal error: Call to undefined function: dbmopen() 

Expected Results:  Script to run

Additional info:
Comment 1 Peter Bowen 2002-02-27 09:08:34 EST
The xDBM extension has been deprecated by the PHP Group and is not currently
compiled into the PHP RPM.  The db abstraction extension is supported by the
4.0.6-7 RPM and documentation for it is available at http://www.php.net/dba

Note You need to log in before you can comment on or make changes to this bug.